<div *ngIf="data | isNotNullNorUndefined"
     @overlay
     class="overlay"
>
  <div class="avatar-wrapper">
    <solidify-logo-wrapper-container [idResource]="data?.resId"
                                     [logoNamespace]="personAvatarActionNameSpace"
                                     [logoState]="personState"
                                     [isUser]="true"
                                     [userInfo]="user"
                                     [isLogoPresent]="isAvatarPresent"
                                     [imageMode]="imageDisplayModeEnum.IN_OVERLAY"
                                     class="avatar"
    ></solidify-logo-wrapper-container>
  </div>

  <div class="informations">
    <div class="fullname"
         solidifyTooltipOnEllipsis
    >{{data.firstName}} {{data.lastName}}
    </div>
    <div *ngIf="data.orcid | isNotNullNorUndefinedNorWhiteString"
         class="orcid-wrapper"
         (click)="orcidPresentational.navigateToOrcid()"
    >
      <solidify-button-orcid #orcidPresentational
                             [orcid]="data.orcid"
                             [isVerifiedOrcid]="data.verifiedOrcid"
                             [isImageClickable]="false"
                             class="image-orcid"
      ></solidify-button-orcid>
      <a class="orcid">{{data.orcid}}</a>
    </div>
    <ul *ngIf="data.institutions | isNonEmptyArray"
        class="institutions"
    >
      <li *ngFor="let institution of data.institutions"
          class="institution"
          [class.with-icon]="(institution.rorId | isNotNullNorUndefinedNorWhiteString)"
      >
        <span class="institution-name"
              solidifyTooltipOnEllipsis
        >{{institution.name}}</span>
        <solidify-icon *ngIf="institution.rorId | isNotNullNorUndefinedNorWhiteString"
                       [iconName]="iconNameEnum.ror"
                       [matTooltip]="institution.rorId"
                       (click)="navigateToRorId(institution)"
                       class="size-24 icon"
        ></solidify-icon>
      </li>
    </ul>

    <div *ngIf="data.orcidLinks | isNonEmptyArray"
         class="orcid-websites-zone"
    >
      <div class="title">{{labelTranslateEnum.orcidExternalWebsites | translate}}:</div>

      <ul class="websites">
        <li *ngFor="let orcidLink of data.orcidLinks"
            class="website"
        >
          <a [href]="orcidLink.url"
             target="_blank"
             class="website-name"
             solidifyTooltipOnEllipsis
          >{{orcidLink.text}}</a>
        </li>
      </ul>
    </div>
  </div>
</div>
